<!-- 	Contour - Android drawing teacher application
		Copyright (C) 2014  Johannes Riedmann
	
		This program is free software: you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation, either version 3 of the License, or
		(at your option) any later version.
		
		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
		
		You should have received a copy of the GNU General Public License
		along with this program.  If not, see <http://www.gnu.org/licenses/>. -->

<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center_horizontal"
    android:gravity="center_vertical"
    android:weightSum="100"
    tools:context="com.j0h1.contour.ImageUpload" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical" >

            <EditText
                android:id="@+id/tbxCustomSessionImageName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:hint="@string/image_name_hint"
                android:inputType="textPersonName"
                android:maxLength="20"
                android:paddingTop="15dp" >

                <requestFocus />
            </EditText>

            <ImageView
                android:id="@+id/ivChooseImage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:adjustViewBounds="true"
                android:clickable="true"
                android:paddingBottom="15dp"
                android:paddingLeft="40dp"
                android:paddingRight="40dp"
                android:paddingTop="15dp"
                android:src="@drawable/tap_to_choose" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingBottom="5dp"
                android:paddingTop="10dp" >

                <TextView
                    android:id="@+id/txtDifficulty"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="@string/difficulty"
                    android:textAppearance="?android:attr/textAppearanceMedium" />

                <SeekBar
                    android:id="@+id/sbCustomSessionDifficulty"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </LinearLayout>

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="30dp" >

                <ImageButton
                    android:id="@+id/imbStartCustomSession"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/start_selector" />

            </FrameLayout>

        </LinearLayout>
    </ScrollView>